Page MenuHomePhabricator

Herald rules' transcripts can only be viewed by members of #Trusted-Contributors, it seems
Closed, DeclinedPublic

Description

I'm unable to view Herald rules or even see the Herald application at all.

Steps to reproduce:

  1. Log into a new or Phabricator test account with no group memberships.
  2. View a publicly visible task (such as T203486)
  3. Click on the Herald view transcript link (e.g https://phabricator.wikimedia.org/herald/transcript/2746591)

Expected result: Logged in user gets access to Herald transcripts
Current result: Error message in below image is thrown.

Event Timeline

Sau226 created this task.Oct 18 2018, 10:48 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2018, 10:48 AM

"Old Transcript
Details of this transcript have been garbage collected."

@Krenair Even if I get a recently closed task such as Task 207343 and attempt to view the transcript at https://phabricator.wikimedia.org/herald/transcript/2815487 (which can undoubtedly not be garbage collected) I still get an unable to view error as demonstrated above. As a user before today I could view such transcripts when logged in. Why can I not do so now?

Interesting. I can view that, and I probably don't have many privileged groups.

Sau226 added a comment.EditedOct 18 2018, 12:18 PM

Odd. I heard that some functions were to be restricted to Trusted-Contributors (such as security task flagging) so that may be the case with Herald logs. Is there any way for me to be able to view the logs like I used to? It can be quite useful at times.

Oh, apparently I'm in that one.

Sau226 renamed this task from Unable to view Herald Rules to Unable to view Herald Rules (custom policy blocking view).Oct 18 2018, 1:31 PM
Aklapper renamed this task from Unable to view Herald Rules (custom policy blocking view) to Herald rules' transcripts can only be viewed by members of #Trusted-Contributors, it seems.Oct 18 2018, 5:36 PM
Aklapper moved this task from To Triage to Administration (UI) on the Phabricator board.

@Sau226: The "Can View"/"Can Use" policy of Herald defines this. It's not possible to split viewing Herald rules and being allowed to create Herald rules. We've seen some random unneeded rules created that slowed down performance in the past.
I don't see reasons (yet) why to change the current behavior. Apart from curiosity, which problem would this solve?
Do you have a specific example when this could be useful?

Aklapper changed the task status from Open to Stalled.Apr 16 2019, 6:12 AM

Setting to stalled as per questions in last comment

Aklapper closed this task as Declined.May 14 2019, 11:41 AM

Unfortunately closing this report as no further information has been provided.

@Sau226: After you have provided the information asked for, please set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!